classification
Title: Fix documentation examples of using re with escape sequences
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: cheryl.sabella, docs@python, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2018-01-21 22:47 by cheryl.sabella, last changed 2018-02-02 22:38 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5265 merged cheryl.sabella, 2018-01-21 22:51
PR 5499 merged miss-islington, 2018-02-02 21:17
PR 5500 merged terry.reedy, 2018-02-02 21:48
Messages (5)
msg310386 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-01-21 22:47
If a documentation example would produce a DeprecationWarning for an invalid escape sequence, change the example to use a raw string.
msg310807 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-01-26 21:59
Definitely.  x.y code, including doc examples, should free of such warnings.
msg311516 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-02 21:16
New changeset 66771422d0541289d0b1287bc3c28e8b5609f6b4 by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-32614: Modify re examples to use a raw string to prevent warning (GH-5265)
https://github.com/python/cpython/commit/66771422d0541289d0b1287bc3c28e8b5609f6b4
msg311517 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-02 21:50
New changeset c7de1d7ca62e2b67b90d6c178e63453c03833b75 by Terry Jan Reedy (Miss Islington (bot)) in branch '3.7':
bpo-32614: Modify re examples to use a raw string to prevent warning (GH-5265) (#5499)
https://github.com/python/cpython/commit/c7de1d7ca62e2b67b90d6c178e63453c03833b75
msg311519 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-02 22:37
New changeset fbf8e823c02ac1c93a48609cc74e439e19ccb426 by Terry Jan Reedy in branch '3.6':
 [3.6] bpo-32614: Modify re examples to use a raw string to prevent wa…  …rning (GH-5265) (GH-5500)
https://github.com/python/cpython/commit/fbf8e823c02ac1c93a48609cc74e439e19ccb426
History
Date User Action Args
2018-02-02 22:38:37terry.reedysetstatus: open -> closed
assignee: docs@python -> terry.reedy
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.6
2018-02-02 22:37:38terry.reedysetmessages: + msg311519
2018-02-02 21:50:47terry.reedysetmessages: + msg311517
2018-02-02 21:48:56terry.reedysetpull_requests: + pull_request5333
2018-02-02 21:17:36miss-islingtonsetpull_requests: + pull_request5332
2018-02-02 21:16:35terry.reedysetmessages: + msg311516
2018-02-02 20:43:25terry.reedysetnosy: + serhiy.storchaka

versions: + Python 3.8
2018-01-26 21:59:17terry.reedysetnosy: + terry.reedy
messages: + msg310807
2018-01-21 22:51:16cheryl.sabellasetkeywords: + patch
stage: patch review
pull_requests: + pull_request5111
2018-01-21 22:47:38cheryl.sabellacreate